/* 
    Titel: J|G JSExplorer
    Autor: Johannes Gamperl
    email: jg@jg.seite.net

    Copyright (c) J|G Webdesign & Programmierung - Johannes Gamperl, 1998. 
    All rights reserved. Alle Rechte vorbehalten. URL: http://jg.seite.net

    Dieser Code darf fr nicht-kommerzielle sowie kommerzielle Zwecke frei
    genutzt und angepat werden, solange dies unentgeltlich erfolgt und
    dieser Vermerk bestehen bleibt. 
*/


//-------------------------------------------------------------------
// Objekte der Baumstruktur nach dem folgenden Muster definieren:
// berschrift | URL (Hauptordner = 0) | TARGET | MouseOver | Grafik
//-------------------------------------------------------------------


// mr menu.
var menu = new Menu();
menu.addItem(new MenuItem("java.applet.*", 0, "mr", "", ""));
menu.addItem(new MenuItem("java.awt.*", 0, "mr", "", ""));
menu.addItem(new MenuItem("java.awt.event.*", 0, "mr", "", ""));
menu.addItem(new MenuItem("java.lang.*", 0, "mr", "", ""));

// java.applet
var sub = new Menu();
sub.addItem(new MenuItem("Applet", "applet/Applet.html", "mr","java.applet.Applet","Class.gif"));
sub.addItem(new MenuItem("AppletContext", "nochnicht.html", "mr","java.applet.AppletContext","Interface2.gif"));
sub.addItem(new MenuItem("AppletStub", "nochnicht.html", "mr","java.applet.AppletStub","Interface2.gif"));
sub.addItem(new MenuItem("AudioClip", "nochnicht.html", "mr","java.applet.AudioClip","Interface2.gif"));
menu.items[0].makeSubmenu(sub);

// java.awt
var sub = new Menu();
sub.addItem(new MenuItem("Adjustable", "nochnicht.html", "mr","java.awt.Adjustable","Interface2.gif"));
sub.addItem(new MenuItem("AWTError", "nochnicht.html", "mr","java.awt.AWTError","Class2.gif"));
sub.addItem(new MenuItem("AWTEvent", "nochnicht.html", "mr","java.awt.AWTEvent","Class2.gif"));
sub.addItem(new MenuItem("AWTEventMulticaster", "nochnicht.html", "mr","java.awt.AWTEventMulticaster","Class2.gif"));
sub.addItem(new MenuItem("AWTException", "nochnicht.html", "mr","java.awt.AWTException","Class2.gif"));
sub.addItem(new MenuItem("BorderLayout", "nochnicht.html", "mr","java.awt.BorderLayout","Class2.gif"));
sub.addItem(new MenuItem("Button", "awt/Button.html", "mr","java.awt.Button","Class.gif"));
sub.addItem(new MenuItem("Canvas", "nochnicht.html", "mr","java.awt.Canvas","Class2.gif"));
sub.addItem(new MenuItem("CardLayout", "nochnicht.html", "mr","java.awt.CardLayout","Class2.gif"));
sub.addItem(new MenuItem("Checkbox", "awt/Checkbox.html", "mr","java.awt.Checkbox","Class.gif"));
sub.addItem(new MenuItem("CheckboxGroup", "awt/CheckboxGroup.html", "mr","java.awt.CheckboxGroup","Class.gif"));
sub.addItem(new MenuItem("CheckboxMenuItem", "nochnicht.html", "mr","java.awt.CheckboxMenuItem","Class2.gif"));
sub.addItem(new MenuItem("Choice", "awt/Choice.html", "mr","java.awt.Choice","Class.gif"));
sub.addItem(new MenuItem("Color", "nochnicht.html", "mr","java.awt.Color","Class2.gif"));
sub.addItem(new MenuItem("Component", "nochnicht.html", "mr","java.awt.Component","Class2.gif"));
sub.addItem(new MenuItem("Container", "nochnicht.html", "mr","java.awt.Container","Class2.gif"));
sub.addItem(new MenuItem("Cursor", "nochnicht.html", "mr","java.awt.Cursor","Class2.gif"));
sub.addItem(new MenuItem("Dialog", "nochnicht.html", "mr","java.awt.Dialog","Class2.gif"));
sub.addItem(new MenuItem("Dimension", "nochnicht.html", "mr","java.awt.Dimension","Class2.gif"));
sub.addItem(new MenuItem("Event", "nochnicht.html", "mr","java.awt.Event","Class2.gif"));
sub.addItem(new MenuItem("EventDispatchThread", "nochnicht.html", "mr","java.awt.EventDispatchThread","Class2.gif"));
sub.addItem(new MenuItem("EventQueue", "nochnicht.html", "mr","java.awt.EventQueue","Class2.gif"));
sub.addItem(new MenuItem("EventQueueItem", "nochnicht.html", "mr","java.awt.EventQueueItem","Class2.gif"));
sub.addItem(new MenuItem("FileDialog", "nochnicht.html", "mr","java.awt.FileDialog","Class2.gif"));
sub.addItem(new MenuItem("FlowLayout", "nochnicht.html", "mr","java.awt.FlowLayout","Class2.gif"));
sub.addItem(new MenuItem("FocusManager", "nochnicht.html", "mr","java.awt.FocusManager","Class2.gif"));
sub.addItem(new MenuItem("Font", "nochnicht.html", "mr","java.awt.Font","Class2.gif"));
sub.addItem(new MenuItem("FontMetrics", "nochnicht.html", "mr","java.awt.FontMetrics","Class2.gif"));
sub.addItem(new MenuItem("Frame", "nochnicht.html", "mr","java.awt.Frame","Class2.gif"));
sub.addItem(new MenuItem("Graphics", "nochnicht.html", "mr","java.awt.Graphics","Class2.gif"));
sub.addItem(new MenuItem("GridBagConstraints", "nochnicht.html", "mr","java.awt.GridBagConstraints","Class2.gif"));
sub.addItem(new MenuItem("GridBagLayout", "nochnicht.html", "mr","java.awt.GridBagLayout","Class2.gif"));
sub.addItem(new MenuItem("GridBagLayoutInfo", "nochnicht.html", "mr","java.awt.GridBagLayoutInfo","Class2.gif"));
sub.addItem(new MenuItem("GridLayout", "nochnicht.html", "mr","java.awt.GridLayout","Class2.gif"));
sub.addItem(new MenuItem("IllegalComponentStateException", "nochnicht.html", "mr","java.awt.IllegalComponentStateException","Class2.gif"));
sub.addItem(new MenuItem("Image", "nochnicht.html", "mr","java.awt.Image","Class2.gif"));
sub.addItem(new MenuItem("MediaTracker", "nochnicht.html", "mr","java.awt.MediaTracker","Class2.gif"));
sub.addItem(new MenuItem("Insets", "nochnicht.html", "mr","java.awt.Insets","Class2.gif"));
sub.addItem(new MenuItem("ItemSelectable", "nochnicht.html", "mr","java.awt.ItemSelectable","Interface2.gif"));
sub.addItem(new MenuItem("Label", "awt/Label.html", "mr","java.awt.Label","Class.gif"));
sub.addItem(new MenuItem("LayoutManager", "awt/LayoutManager.html", "mr","java.awt.LayoutManager","Interface2.gif"));
sub.addItem(new MenuItem("LayoutManager2", "nochnicht.html", "mr","java.awt.LayoutManager2","Interface2.gif"));
sub.addItem(new MenuItem("LightweightDispatcher", "nochnicht.html", "mr","java.awt.LightweightDispatcher","Class2.gif"));
sub.addItem(new MenuItem("LightweightPeer", "nochnicht.html", "mr","java.awt.LightweightPeer","Class2.gif"));
sub.addItem(new MenuItem("List", "awt/List.html", "mr","java.awt.List","Class.gif"));
sub.addItem(new MenuItem("MediaEntry", "nochnicht.html", "mr","java.awt.MediaEntry","Class2.gif"));
sub.addItem(new MenuItem("MediaTracker", "nochnicht.html", "mr","java.awt.MediaTracker","Class2.gif"));
sub.addItem(new MenuItem("Menu", "nochnicht.html", "mr","java.awt.Menu","Class2.gif"));
sub.addItem(new MenuItem("MenuBar", "nochnicht.html", "mr","java.awt.MenuBar","Class2.gif"));
sub.addItem(new MenuItem("MenuComponent", "nochnicht.html", "mr","java.awt.MenuComponent","Class2.gif"));
sub.addItem(new MenuItem("MenuContainer", "nochnicht.html", "mr","java.awt.MenuContainer","Interface2.gif"));
sub.addItem(new MenuItem("MenuItem", "nochnicht.html", "mr","java.awt.MenuItem","Class2.gif"));
sub.addItem(new MenuItem("MenuShortcut", "nochnicht.html", "mr","java.awt.MenuShortcut","Class2.gif"));
sub.addItem(new MenuItem("Panel", "nochnicht.html", "mr","java.awt.Panel","Class2.gif"));
sub.addItem(new MenuItem("Point", "nochnicht.html", "mr","java.awt.Point","Class2.gif"));
sub.addItem(new MenuItem("Polygon", "nochnicht.html", "mr","java.awt.Polygon","Class2.gif"));
sub.addItem(new MenuItem("PopupMenu", "nochnicht.html", "mr","java.awt.PopupMenu","Class2.gif"));
sub.addItem(new MenuItem("PrintGraphics", "nochnicht.html", "mr","java.awt.PrintGraphics","Interface2.gif"));
sub.addItem(new MenuItem("PrintJob", "nochnicht.html", "mr","java.awt.PrintJob","Class2.gif"));
sub.addItem(new MenuItem("Rectangle", "nochnicht.html", "mr","java.awt.Rectangle","Class2.gif"));
sub.addItem(new MenuItem("Scrollbar", "awt/Scrollbar.html", "mr","java.awt.Scrollbar","Class.gif"));
sub.addItem(new MenuItem("ScrollPane", "nochnicht.html", "mr","java.awt.ScrollPane","Class2.gif"));
sub.addItem(new MenuItem("ScrollPaneAdjustable", "nochnicht.html", "mr","java.awt.ScrollPaneAdjustable","Class2.gif"));
sub.addItem(new MenuItem("Shape", "nochnicht.html", "mr","java.awt.Shape","Interface2.gif"));
sub.addItem(new MenuItem("SystemColor", "nochnicht.html", "mr","java.awt.SystemColor","Class2.gif"));
sub.addItem(new MenuItem("TextArea", "awt/TextArea.html", "mr","java.awt.TextArea","Class.gif"));
sub.addItem(new MenuItem("TextComponent", "nochnicht.html", "mr","java.awt.TextComponent","Class2.gif"));
sub.addItem(new MenuItem("TextField", "awt/TextField.html", "mr","java.awt.TextField","Class.gif"));
sub.addItem(new MenuItem("Toolkit", "nochnicht.html", "mr","java.awt.Toolkit","Class2.gif"));
sub.addItem(new MenuItem("Window", "nochnicht.html", "mr","java.awt.Window","Class2.gif"));
menu.items[1].makeSubmenu(sub);

// java.applet
var sub = new Menu();
sub.addItem(new MenuItem("ActionEvent", "nochnicht.html", "mr","java.awt.event.ActionEvent","Class2.gif"));
sub.addItem(new MenuItem("ActionListener", "nochnicht.html", "mr","java.awt.event.ActionListener","Interface2.gif"));
sub.addItem(new MenuItem("AdjustmentEvent", "nochnicht.html", "mr","java.awt.event.AdjustmentEvent","Class2.gif"));
sub.addItem(new MenuItem("AdjustmentListener", "nochnicht.html", "mr","java.awt.event.AdjustmentListener","Interface2.gif"));
sub.addItem(new MenuItem("ComponentAdapter", "nochnicht.html", "mr","java.awt.event.ComponentAdapter","Class2.gif"));
sub.addItem(new MenuItem("ComponentEvent", "nochnicht.html", "mr","java.awt.event.ComponentEvent","Class2.gif"));
sub.addItem(new MenuItem("ComponentListener", "nochnicht.html", "mr","java.awt.event.ComponentListener","Interface2.gif"));
sub.addItem(new MenuItem("ContainerAdapter", "nochnicht.html", "mr","java.awt.event.ContainerAdapter","Class2.gif"));
sub.addItem(new MenuItem("ContainerEvent", "nochnicht.html", "mr","java.awt.event.ContainerEvent","Class2.gif"));
sub.addItem(new MenuItem("ContainerListener", "nochnicht.html", "mr","java.awt.event.ContainerListener","Interface2.gif"));
sub.addItem(new MenuItem("FocusAdapter", "nochnicht.html", "mr","java.awt.event.FocusAdapter","Class2.gif"));
sub.addItem(new MenuItem("FocusEvent", "nochnicht.html", "mr","java.awt.event.FocusEvent","Class2.gif"));
sub.addItem(new MenuItem("FocusListener", "nochnicht.html", "mr","java.awt.event.FocusListener","Interface2.gif"));
sub.addItem(new MenuItem("InputEvent", "nochnicht.html", "mr","java.awt.event.InputEvent","Class2.gif"));
sub.addItem(new MenuItem("ItemEvent", "nochnicht.html", "mr","java.awt.event.ItemEvent","Class2.gif"));
sub.addItem(new MenuItem("ItemListener", "nochnicht.html", "mr","java.awt.event.ItemListener","Interface2.gif"));
sub.addItem(new MenuItem("KeyAdapter", "nochnicht.html", "mr","java.awt.event.KeyAdapter","Class2.gif"));
sub.addItem(new MenuItem("KeyEvent", "nochnicht.html", "mr","java.awt.event.KeyEvent","Class2.gif"));
sub.addItem(new MenuItem("KeyListener", "nochnicht.html", "mr","java.awt.event.KeyListener","Interface2.gif"));
sub.addItem(new MenuItem("MouseAdapter", "nochnicht.html", "mr","java.awt.event.MouseAdapter","Class2.gif"));
sub.addItem(new MenuItem("MouseEvent", "nochnicht.html", "mr","java.awt.event.MouseEvent","Class2.gif"));
sub.addItem(new MenuItem("MouseListener", "nochnicht.html", "mr","java.awt.event.MouseListener","Interface2.gif"));
sub.addItem(new MenuItem("MouseMotionAdapter", "nochnicht.html", "mr","java.awt.event.MouseMotionAdapter","Class2.gif"));
sub.addItem(new MenuItem("MouseMotionListener", "nochnicht.html", "mr","java.awt.event.MouseMotionListener","Interface2.gif"));
sub.addItem(new MenuItem("PaintEvent", "nochnicht.html", "mr","java.awt.event.PaintEvent","Class2.gif"));
sub.addItem(new MenuItem("TextEvent", "nochnicht.html", "mr","java.awt.event.TextEvent","Class2.gif"));
sub.addItem(new MenuItem("TextListener", "nochnicht.html", "mr","java.awt.event.TextListener","Interface2.gif"));
sub.addItem(new MenuItem("WindowAdapter", "nochnicht.html", "mr","java.awt.event.WindowAdapter","Class2.gif"));
sub.addItem(new MenuItem("WindowEvent", "nochnicht.html", "mr","java.awt.event.WindowEvent","Class2.gif"));
sub.addItem(new MenuItem("WindowListener", "nochnicht.html", "mr","java.awt.event.WindowListener","Interface2.gif"));
menu.items[2].makeSubmenu(sub);

// java.lang
var sub = new Menu();
sub.addItem(new MenuItem("Boolean", "nochnicht.html", "mr","java.lang.Boolean","Class2.gif"));
sub.addItem(new MenuItem("Byte", "nochnicht.html", "mr","java.lang.Byte","Class2.gif"));
sub.addItem(new MenuItem("Character", "nochnicht.html", "mr","java.lang.Character","Class2.gif"));
sub.addItem(new MenuItem("Character.Subset", "nochnicht.html", "mr","java.lang.Character.Subset","Class2.gif"));
sub.addItem(new MenuItem("Character.UnicodeBlock", "nochnicht.html", "mr","java.lang.Character.UnicodeBlock","Class2.gif"));
sub.addItem(new MenuItem("Class", "nochnicht.html", "mr","java.lang.Class","Class2.gif"));
sub.addItem(new MenuItem("ClassLoader", "nochnicht.html", "mr","java.lang.ClassLoader","Class2.gif"));
sub.addItem(new MenuItem("Cloneable", "nochnicht.html", "mr","java.lang.Cloneable","Interface2.gif"));
sub.addItem(new MenuItem("Comparable", "nochnicht.html", "mr","java.lang.Comparable","Interface2.gif"));
sub.addItem(new MenuItem("Compiler", "nochnicht.html", "mr","java.lang.Compiler","Class2.gif"));
sub.addItem(new MenuItem("Double", "nochnicht.html", "mr","java.lang.Double","Class2.gif"));
sub.addItem(new MenuItem("Float", "nochnicht.html", "mr","java.lang.Float","Class2.gif"));
sub.addItem(new MenuItem("InheritableThreadLocal", "nochnicht.html", "mr","java.lang.InheritableThreadLocal","Class2.gif"));
sub.addItem(new MenuItem("Integer", "nochnicht.html", "mr","java.lang.Integer","Class2.gif"));
sub.addItem(new MenuItem("Long", "nochnicht.html", "mr","java.lang.Long","Class2.gif"));
sub.addItem(new MenuItem("Math", "nochnicht.html", "mr","java.lang.Math","Class2.gif"));
sub.addItem(new MenuItem("Number", "nochnicht.html", "mr","java.lang.Number","Class2.gif"));
sub.addItem(new MenuItem("Object", "nochnicht.html", "mr","java.lang.Object","Class2.gif"));
sub.addItem(new MenuItem("Package", "nochnicht.html", "mr","java.lang.Package","Class2.gif"));
sub.addItem(new MenuItem("Process", "nochnicht.html", "mr","java.lang.Process","Class2.gif"));
sub.addItem(new MenuItem("Runnable", "nochnicht.html", "mr","java.lang.Runnable","Interface2.gif"));
sub.addItem(new MenuItem("Runtime", "nochnicht.html", "mr","java.lang.Runtime","Class2.gif"));
sub.addItem(new MenuItem("RuntimePermission", "nochnicht.html", "mr","java.lang.RuntimePermission","Class2.gif"));
sub.addItem(new MenuItem("SecurityManager", "nochnicht.html", "mr","java.lang.SecurityManager","Class2.gif"));
sub.addItem(new MenuItem("Short", "nochnicht.html", "mr","java.lang.Short","Class2.gif"));
sub.addItem(new MenuItem("String", "nochnicht.html", "mr","java.lang.String","Class2.gif"));
sub.addItem(new MenuItem("StringBuffer", "nochnicht.html", "mr","java.lang.StringBuffer","Class2.gif"));
sub.addItem(new MenuItem("System", "nochnicht.html", "mr","java.lang.System","Class2.gif"));
sub.addItem(new MenuItem("Thread", "nochnicht.html", "mr","java.lang.Thread","Class2.gif"));
sub.addItem(new MenuItem("ThreadGroup", "nochnicht.html", "mr","java.lang.ThreadGroup","Class2.gif"));
sub.addItem(new MenuItem("ThreadLocal", "nochnicht.html", "mr","java.lang.ThreadLocal","Class2.gif"));
sub.addItem(new MenuItem("Throwable", "nochnicht.html", "mr","java.lang.Throwable","Class2.gif"));
sub.addItem(new MenuItem("Void", "nochnicht.html", "mr","java.lang.Void","Class2.gif"));
menu.items[3].makeSubmenu(sub);
 
// Verzweigung zuweisen
var sub = new Menu();
menu.items[0].submenu.items[0].makeSubmenu(sub);
menu.items[1].submenu.items[0].makeSubmenu(sub);
menu.items[2].submenu.items[0].makeSubmenu(sub);
menu.items[3].submenu.items[0].makeSubmenu(sub);